<!--

Purpose: This include file adds a new site definition

To enable this, rename this file so that it has a ".config" extension and 
change all the parameters to suit your own scenario

Notice how "patch:before" is used to insert the site definition BEFORE the 
existing <site name="website" ...> element 

You can use "patch:before" and "patch:after" as an attribute of an inserted 
element to specify an insertion point for the new element. Both accept an 
XPath relative to the parent node of the inserted element.

-->
<configuration xmlns:patch="http://www.sitecore.net/xmlconfig/">
  <sitecore>
    <VietHoang.sites>
      <site name="Demo"/>
    </VietHoang.sites>

    <pipelines>
      <initialize>
        <processor patch:before="processor[@type='Sitecore.Mvc.Pipelines.Loader.InitializeGlobalFilters, Sitecore.Mvc']"
          type="VietHoang.Demo.Web.Pipelines.Initialize.RegisterBundles, VietHoang.Demo.Web"/>
      </initialize>
    </pipelines>

    <sites>
      <site name="Demo" patch:before="site[@name='website']" hostName="demo.viethoang.local" virtualFolder="/" physicalFolder="/"
        rootPath="/sitecore/content/VietHoang/Demo" startItem="/home" database="master" domain="extranet" allowDebug="true" cacheHtml="true"
        htmlCacheSize="50MB" enablePreview="true" enableWebEdit="true" enableDebugger="true" disableClientData="false" language="en"
        enablePrePopulateItemVersion="true" dictionaryPath="/sitecore/content/VietHoang/Demo/Settings/Dictionary" dictionaryAutoCreate="true"
        enableLanguageInjector="true" enableHandleCustomErrors="true" notFoundItem="/404Error" fallbackNotFoundItem="/Demo-404.htm"
        customErrorFile="/Demo-Error.htm"/>
    </sites>
  </sitecore>
</configuration>